Package org.apache.any23.vocab

## Class LKIFCoreAction

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.LKIFCoreAction

-     public class LKIFCoreAction
      extends Vocabulary

  An implementation of the lkif-core vocabulary which is a library of ontologies relevant for the legal domain. The library consists of 15 modules, each of which describes a set of closely related concepts from both legal and commonsense domains.

  The action module describes the vocabulary for representing actions in general. Actions are processes which are performed by some agent (the actor of the action). This module does not commit itself to a particular theory on thematic roles.

  Author:
    lewismc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `Action` |
    `org.eclipse.rdf4j.model.IRI` | `actor` |
    `org.eclipse.rdf4j.model.IRI` | `actor_in` |
    `org.eclipse.rdf4j.model.IRI` | `Agent` |
    `org.eclipse.rdf4j.model.IRI` | `Artifact` |
    `org.eclipse.rdf4j.model.IRI` | `Change` |
    `org.eclipse.rdf4j.model.IRI` | `Collaborative_Plan` |
    `org.eclipse.rdf4j.model.IRI` | `Creation_C` |
    `org.eclipse.rdf4j.model.IRI` | `creation_P` |
    `org.eclipse.rdf4j.model.IRI` | `direct_part` |
    `org.eclipse.rdf4j.model.IRI` | `member` |
    `org.eclipse.rdf4j.model.IRI` | `Mental_Object` |
    `org.eclipse.rdf4j.model.IRI` | `Natural_Object` |
    `static String` | `NS` | The namespace of the vocabulary as a string.
    `org.eclipse.rdf4j.model.IRI` | `Organisation` |
    `org.eclipse.rdf4j.model.IRI` | `part` |
    `org.eclipse.rdf4j.model.IRI` | `participant` |
    `org.eclipse.rdf4j.model.IRI` | `participant_in` |
    `org.eclipse.rdf4j.model.IRI` | `Person` |
    `org.eclipse.rdf4j.model.IRI` | `Personal_Plan` |
    `org.eclipse.rdf4j.model.IRI` | `Physical_Object` |
    `org.eclipse.rdf4j.model.IRI` | `Plan` |
    `org.eclipse.rdf4j.model.IRI` | `Process` |
    `org.eclipse.rdf4j.model.IRI` | `Reaction` |
    `org.eclipse.rdf4j.model.IRI` | `result_of` |
    `org.eclipse.rdf4j.model.IRI` | `Transaction` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LKIFCoreAction` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      The namespace of the vocabulary as a string.
      See Also:
        Constant Field Values

    - #### Action

          public final org.eclipse.rdf4j.model.IRI Action

    - #### Agent

          public final org.eclipse.rdf4j.model.IRI Agent

    - #### Artifact

          public final org.eclipse.rdf4j.model.IRI Artifact

    - #### Collaborative_Plan

          public final org.eclipse.rdf4j.model.IRI Collaborative_Plan

    - #### Creation_C

          public final org.eclipse.rdf4j.model.IRI Creation_C

    - #### Natural_Object

          public final org.eclipse.rdf4j.model.IRI Natural_Object

    - #### Organisation

          public final org.eclipse.rdf4j.model.IRI Organisation

    - #### Person

          public final org.eclipse.rdf4j.model.IRI Person

    - #### Personal_Plan

          public final org.eclipse.rdf4j.model.IRI Personal_Plan

    - #### Plan

          public final org.eclipse.rdf4j.model.IRI Plan

    - #### Reaction

          public final org.eclipse.rdf4j.model.IRI Reaction

    - #### Transaction

          public final org.eclipse.rdf4j.model.IRI Transaction

    - #### Mental_Object

          public final org.eclipse.rdf4j.model.IRI Mental_Object

    - #### Change

          public final org.eclipse.rdf4j.model.IRI Change

    - #### Physical_Object

          public final org.eclipse.rdf4j.model.IRI Physical_Object

    - #### Process

          public final org.eclipse.rdf4j.model.IRI Process

    - #### actor

          public final org.eclipse.rdf4j.model.IRI actor

    - #### actor_in

          public final org.eclipse.rdf4j.model.IRI actor_in

    - #### direct_part

          public final org.eclipse.rdf4j.model.IRI direct_part

    - #### member

          public final org.eclipse.rdf4j.model.IRI member

    - #### part

          public final org.eclipse.rdf4j.model.IRI part

    - #### creation_P

          public final org.eclipse.rdf4j.model.IRI creation_P

    - #### participant

          public final org.eclipse.rdf4j.model.IRI participant

    - #### participant_in

          public final org.eclipse.rdf4j.model.IRI participant_in

    - #### result_of

          public final org.eclipse.rdf4j.model.IRI result_of

  - ### Method Detail

    - #### getInstance

          public static LKIFCoreAction getInstance()